Skip to main content
`Ctrl`+`K`
scipy.stats._result_classes.

# TtestResult

class scipy.stats._result_classes.TtestResult(statistic, pvalue, **extra_fields)

  Result of a t-test.

  See the documentation of the particular t-test function for more information about the definition of the statistic and meaning of the confidence interval.

  Attributes:
    statistic float or array

      The t-statistic of the sample.

    pvalue float or array

      The p-value associated with the given alternative.

    df float or array

      The number of degrees of freedom used in calculation of the t-statistic; this is one less than the size of the sample (`a.shape[axis]-1` if there are no masked elements or omitted NaNs).

  Methods

  `confidence_interval`([confidence_level]) |